package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.MedicalRecords;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MedicalRecordsDAO {
	int insert(MedicalRecords entity);
	int update(MedicalRecords entity);
	int exist(String id);
	MedicalRecords get(String id);
	int delete(String id);
	List<MedicalRecords> list();
	List<MedicalRecords> search(Map<String, Object> searchParams, List<Sort> sortList);
}